textures/custom2/nib_snow_grass
{
	surfaceparm snowsteps
        q3map_novertexshadows
	q3map_forcesunlight
        {
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom2/nib_snow_grass.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/custom2/snowroof_m01a
{
	surfaceparm roofsteps
        surfaceparm snowsteps
        q3map_novertexshadows
	q3map_forcesunlight
        {
		map $lightmap
		rgbGen identity
	}
        {
		map textures/custom2/snowroof_m01a.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

/////////////////////////////////////////////
//////////////// Terrain ////////////////////
/////////////////////////////////////////////

textures/custom2/baseterrain
{

	q3map_lightmapsampleoffset 8.0
	q3map_lightmapaxis z
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
}

textures/custom2/terrain_0
{
	q3map_baseshader textures/custom2/baseterrain
	

	{
		map textures/snow/s_dirt_m03i_2.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/custom2/terrain_1
{
	q3map_baseshader textures/custom2/baseterrain

	{
		map textures/custom2/nib_snow_grass.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/custom2/terrain_2
{
	q3map_baseshader textures/custom2/baseterrain

	{
		map textures/terrain/dirt_m03_mung.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/custom2/terrain_3
{
	q3map_baseshader textures/custom2/baseterrain

	{
		map textures/custom2/nib_rock_02.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/custom2/terrain_0to1
{

	q3map_baseshader textures/custom2/baseterrain

		{
			map textures/snow/s_dirt_m03i_2.jpg
			rgbGen identity
		}
		{
			map textures/custom2/nib_snow_grass.jpg
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
			rgbgen identity
			alphaGen vertex
		}
		{
			map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			tcGen lightmap
			rgbGen identity
		}
}

textures/custom2/terrain_0to2
{

	q3map_baseshader textures/custom2/baseterrain

	{
		map textures/snow/s_dirt_m03i_2.jpg
		rgbgen identity
	}
	{
		map textures/terrain/dirt_m03_mung.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/custom2/terrain_0to3
{
	q3map_baseshader textures/custom2/baseterrain

		{
			map textures/snow/s_dirt_m03i_2.jpg
			rgbgen identity
		}
		{
			map textures/custom2/nib_rock_02.jpg
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
			rgbgen identity
			alphaGen vertex
		}
		{
			map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbgen identity
		}
}

textures/custom2/terrain_1to2
{
	q3map_baseshader textures/custom2/baseterrain

	{
		map textures/custom2/nib_snow_grass.jpg
		rgbgen identity
	}
	{
		map textures/terrain/dirt_m03_mung.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/custom2/terrain_1to3
{
	q3map_baseshader textures/custom2/baseterrain

		{
			map textures/custom2/nib_snow_grass.jpg
			rgbgen identity
		}
		{
			map textures/custom2/nib_rock_02.jpg
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
			rgbgen identity

			alphaGen vertex

		}
		{
			map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbgen identity
		}
}

textures/custom2/terrain_2to3
{
	q3map_baseshader textures/custom2/baseterrain

		{
			map textures/terrain/dirt_m03_mung.jpg
			rgbgen identity
		}
		{
			map textures/custom2/nib_rock_02.jpg
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
			rgbgen identity

			alphaGen vertex
		}
		{
			map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbgen identity
		}
}

textures/custom2/terrain
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/snow/s_dirt_m03i_2.jpg
		rgbGen vertex
		tcmod scale 0.025 0.025
	}
}

